Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je.jca.ra
Interface JEConnectionFactory

All Superinterfaces:
  Serializable

    public interface JEConnectionFactory

extends Serializable

An application may obtain a `JEConnection` in this manner:

        InitialContext iniCtx = new InitialContext();
        Context enc = (Context) iniCtx.lookup("java:comp/env");
        Object ref = enc.lookup("ra/JEConnectionFactory");
        JEConnectionFactory dcf = (JEConnectionFactory) ref;
        JEConnection dc = dcf.getConnection(envDir, envConfig);

See <JEHOME>/examples/jca/HOWTO-**.txt and <JEHOME>/examples/jca/simple/SimpleBean.java for more information on how to build the resource adapter and use a JEConnection.

Method Summary
`JEConnection` `getConnection(String jeRootDir, EnvironmentConfig envConfig)`
`JEConnection` `getConnection(String jeRootDir, EnvironmentConfig envConfig, TransactionConfig transConfig)`

Method Detail

### getConnection

    JEConnection getConnection(String jeRootDir,
                               EnvironmentConfig envConfig)
                               throws JEException

  Throws:
    `JEException`

### getConnection

    JEConnection getConnection(String jeRootDir,
                               EnvironmentConfig envConfig,
                               TransactionConfig transConfig)
                               throws JEException

  Throws:
    `JEException`

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.